BTM 2nd Stage, -NL- **`SAGNIK DAS `[NAME]**-NL- **`+91-9731429988`[PHONES_PHONE]** -NL- Bangalore, 560076 -NL- **`sagnikd91@gmail.com`[EMAILS_EMAIL]** -NL- **`EMPLOYMENT`[WORK_EXPERIENCE_HEADING]** -NL- **`Sr. Systems Engineer`[EMPLOYER_ROLE]** -NL- **`EdgeVerve Systems`[EMPLOYER_COMPANY_NAME]** September,2016 – till -NL- date -NL- ▪ Coding, Code review, Design along with technical and functional discussions -NL- involving client interaction -NL- ▪ Designing and developing applications using Java, SQL, Collections, -NL- Multithreading. Good knowledge of Data structures and algorithms. -NL- ▪ Integration of B2B systems using FEBA (Banking domain Java -NL- framework) using MVC architecture. Developing web services using -NL- SOAP and implemented functionalities using JSON api calls. -NL- **`Author – Comp Sc`[EMPLOYER_ROLE]**. -NL- **`Ansrsource India Pvt Ltd`[EMPLOYER_COMPANY_NAME]**. April, 2016 – August, -NL- 2016 -NL- ▪ Executing programs for accuracy, efficiency, and various corner test cases -NL- and then providing the solutions to client. -NL- ▪ Providing time and space efficient solutions to coding problems ranging from -NL- bit manipulation to programs on data structures and algorithms -NL- **`Application Developer`[EMPLOYER_ROLE]** -NL- **`IBM India Pvt Ltd`[EMPLOYER_COMPANY_NAME]**. April, 2014 – March, 2016 -NL- SAP Middleware Development Team -NL- ▪ Developed data transmission modules using Core Java involving -NL- Multithreading, and Collections. -NL- ▪ Implemented efficient algorithms and code snippets to achieve technical -NL- requirements -NL- ▪ Coordinated with client’s cloud interface team every week to review progress -NL- and update goals -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Language -NL- Core Java, C, Lua Scripting. -NL- Android Experience Android Application Development. -NL- IDE & Tools -NL- Visual Studio Code, Eclipse, Oracle SQL Developer, -NL- Microsoft SQL Server Management Studio 2012, HP -NL- ALM, SOAP UI, RTC for defect and task tracking. -NL- Database -NL- MySQL -NL- Web Server -NL- Apache Tomcat -NL- Web Development HTML, CSS, Javascript, XML -NL- Operating Systems Windows, MacOS and Linux System Administration -NL- certification from IBM. -NL- Code Management Tortoise SVN, github -NL- Creative Design -NL- Gimp, Adobe Photoshop. -NL- **`Skills`[SKILLS_HEADING]** -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`B.TECH`[EDUCATION_DEGREE]**. **`Electronics & Communication`[EDUCATION_COURSE]** -NL- **`JNTU-H`[EDUCATION_INSTITUTE]** -NL- 2012 -NL- ▪ First class with distinction in university -NL- ▪ Aggregate: 79% -NL- Intermediate (**`12th`[EDUCATION_DEGREE]**) Indian School Certificate (ISC) -NL- 2008 -NL- ▪ Science with Computer applications and Mathematics -NL- ▪ Served as School President for 2 years -NL- ▪ Aggregate: 77% -NL- High School (**`10th`[EDUCATION_DEGREE]**)Indian Certificate of Secondary Education (ICSE) 2006 -NL- ▪ Aggregate: 77% -NL- **`PROJECT EXPERIENCE`[OTHERS_HEADING]** -NL- ▪ Working on coding and bugfixing for Bank Chinatrust Indonesia and ICICI -NL- Corporate banking for UK. [**`EdgeVerve Systems`[EMPLOYER_COMPANY_NAME]**, an Infosys Company.] -NL- ▪ Worked at onsite at Riyadh, Saudi Arabia for the client (Arab National bank) -NL- for implementing web services, integrating B2B interfaces and connecting the -NL- Bank with the Ministry of Interior, KSA. [**`EdgeVerve Systems`[EMPLOYER_COMPANY_NAME]**, an Infosys -NL- Company.] -NL- ▪ Worked at onsite at Mumbai headquarters for SBI Singapore operations for -NL- integration of HSM/ DSSS system with existing banking solution. [EdgeVerve -NL- Systems, an Infosys Company.] -NL- ▪ Worked in code optimization and delivering the code snippets to clients like -NL- Tata McGraw-Hill for universities in US and African nations. [Ansrsource -NL- India Pvt. Ltd] -NL- ▪ Developed complex user defined functions for the data transmission between -NL- various Payments module and core CRM module using Java concepts and SAP -NL- apis. [IBM India Pvt. Ltd.] -NL- ▪ Developed Payment user Interface for the client, Heineken. [IBM India Pvt. -NL- Ltd.] -NL- ▪ Developed a currency converter application an android application using -NL- fixer.io api (JSON api). [Personal development] -NL- ▪ Developed a News app, NewsDaily. I developed it as a POC for JSON parsing. I -NL- was learning the functionality for transporting JSON data. [Personal -NL- development] -NL- ▪ Developed a password vault application to encrypt and store username and -NL- passwords securely. [Personal development] -NL- ▪ Cofounded a Robotics company for making college projects in 2011. Used -NL- knowledge of microcontroller, transceivers and mechanical knowledge -NL- for creating bots forfinal year projects for students from various -NL- colleges. [Cofounded in 2011] -NL- **`APPRECIATIONS & AWARDS`[OTHERS_HEADING]** -NL- ▪ Received a certificate of excellence for knowledge in FEBA product in a very -NL- short time. [Edgeverve Systems] -NL- ▪ Got appreciation from client (Arab National Bank) for delivering the code and -NL- codefixes during SIT, UAT phases. [**`EdgeVerve Systems`[EMPLOYER_COMPANY_NAME]**] -NL- ▪ Appreciation from client for innovatively using enhanced methodologies, good -NL- practices, and efficient algorithms to develop the interfaces and modules for -NL- the client (Medibank). [IBM] -NL- ▪ Finalist award in an International Hovercraft Designing contest held in IIT -NL- Kharagpur in 2011 -NL- ▪ Awarded for good managerial skills in organizing technical symposium at -NL- university -NL- Sagnik Das -NL- 